import React from 'react';
import { Portal } from 'react-portal';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "@import url(\"https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@400;700&display=swap\");\n@import url(\"https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap\");\n@import url(\"https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap\");\n.PortalManager-module__3xH-v3Vl__v1-0-3 {\n  font-family: \"Open Sans\", \"Helvetica Neue\", Helvetica, Arial, sans-serif;\n}\n\n.PortalManager-module__1XTzIN12__v1-0-3 {\n  font-size: 32px;\n  font-weight: 700;\n  line-height: 44px;\n}\n\n.PortalManager-module__8NP7xuFD__v1-0-3 {\n  font-size: 24px;\n  font-weight: 700;\n  line-height: 32px;\n}\n\n.PortalManager-module__3uKDiTdT__v1-0-3 {\n  font-size: 18px;\n  font-weight: 700;\n  line-height: 24px;\n}\n\n.PortalManager-module__zI0CXKzB__v1-0-3 {\n  font-size: 16px;\n  font-weight: 700;\n  line-height: 20px;\n}\n\n.PortalManager-module__3dAYsEm-__v1-0-3 {\n  font-size: 16px;\n  font-weight: 600;\n  line-height: 20px;\n}\n\n.PortalManager-module__12wxIdrr__v1-0-3 {\n  font-size: 14px;\n  font-weight: 700;\n  line-height: 20px;\n}\n\n.PortalManager-module__lu4OA7kp__v1-0-3 {\n  font-size: 16px;\n  font-weight: 400;\n  line-height: 20px;\n}\n\n.PortalManager-module__35ncpUiY__v1-0-3 {\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 20px;\n}\n\n.PortalManager-module__1ib_7o9A__v1-0-3 {\n  font-size: 14px;\n  font-weight: 400;\n  line-height: 20px;\n}\n\n.PortalManager-module__vq1UNFfi__v1-0-3 {\n  font-size: 14px;\n  font-weight: 700;\n  line-height: 20px;\n}\n\n.PortalManager-module__RERmf4hg__v1-0-3 {\n  font-size: 12px;\n  font-weight: 700;\n  line-height: 16px;\n}\n\n.PortalManager-module__3Yz0fSzA__v1-0-3 {\n  font-size: 12px;\n  font-weight: 400;\n  line-height: 16px;\n}\n\n.PortalManager-module__11CDYWUB__v1-0-3 {\n  font-size: 10px;\n  font-weight: 400;\n  line-height: 16px;\n}";
var styles = {"fontFamily":"PortalManager-module__3xH-v3Vl__v1-0-3","heading-1":"PortalManager-module__1XTzIN12__v1-0-3","heading-2":"PortalManager-module__8NP7xuFD__v1-0-3","heading-3":"PortalManager-module__3uKDiTdT__v1-0-3","heading-4":"PortalManager-module__zI0CXKzB__v1-0-3","subtitle-1":"PortalManager-module__3dAYsEm-__v1-0-3","subtitle-2":"PortalManager-module__12wxIdrr__v1-0-3","subtitle-3":"PortalManager-module__lu4OA7kp__v1-0-3","subtitle-4":"PortalManager-module__35ncpUiY__v1-0-3","body-1":"PortalManager-module__1ib_7o9A__v1-0-3","button-1":"PortalManager-module__vq1UNFfi__v1-0-3","caption-1":"PortalManager-module__RERmf4hg__v1-0-3","caption-2":"PortalManager-module__3Yz0fSzA__v1-0-3","overline-1":"PortalManager-module__11CDYWUB__v1-0-3"};
styleInject(css_248z);

var portalsContainerId = 'ui-components-portals-container';
var PortalManager = {
    containerInstance: function () {
        var portalsContainerElement = document.getElementById(portalsContainerId);
        if (!portalsContainerElement) {
            var container = document.createElement('div');
            container.id = portalsContainerId;
            container.style.position = 'relative';
            container.className = styles['body-1'];
            portalsContainerElement = document.body.appendChild(container);
        }
        portalsContainerElement.style.zIndex = '1000000';
        return portalsContainerElement;
    },
};

var GroupedPortal = function (_a) {
    var children = _a.children;
    return (React.createElement(Portal, { node: PortalManager.containerInstance() }, children));
};

export { GroupedPortal, PortalManager };
//# sourceMappingURL=index.js.map
